Intermittent browser_net_persistent_logs.js | A promise chain failed to handle a rejection: - Error: operation not possible on dead CPOW

RESOLVED FIXED

Status

()

Firefox
Developer Tools: Netmonitor
P5
normal
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: RyanVM, Unassigned)

Tracking

(Blocks: 1 bug, {intermittent-failure})

Trunk
Unspecified
All
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(e10s+, firefox48 wontfix, firefox49 wontfix, firefox50 wontfix, firefox51 fixed)

Details

Attachments

(1 attachment)

Updated

2 years ago
tracking-e10s: ? → +

Comment 1

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* fx-team: 2

Platform breakdown:
* linux64: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 2

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* mozilla-inbound: 3
* ash: 1

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 3

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 2
* try: 1
* fx-team: 1

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 4

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 3
* mozilla-inbound: 2
* fx-team: 2

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-06-13&endday=2016-06-19&tree=all

Comment 5

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux64: 5
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 6

2 years ago
32 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 9
* mozilla-aurora: 5
* fx-team: 4
* try: 1
* mozilla-central: 1
* ash: 1

Platform breakdown:
* linux64: 32

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-06-27&endday=2016-07-03&tree=all
Intermittent e10s test failure
Priority: -- → P5

Comment 8

2 years ago
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 9
* fx-team: 4
* mozilla-central: 3

Platform breakdown:
* linux64: 27

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 9

2 years ago
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 16
* autoland: 7
* mozilla-central: 3
* try: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux64: 29

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-07-11&endday=2016-07-17&tree=all

Comment 10

2 years ago
44 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 19
* mozilla-inbound: 14
* fx-team: 5
* mozilla-central: 3
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 44

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-07-18&endday=2016-07-24&tree=all

Comment 11

2 years ago
35 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18
* fx-team: 6
* autoland: 6
* mozilla-central: 3
* mozilla-aurora: 2

Platform breakdown:
* linux64: 33
* windows7-32-vm: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-07-25&endday=2016-07-31&tree=all

Comment 12

2 years ago
42 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* autoland: 11
* fx-team: 5
* try: 2
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 42

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-08-01&endday=2016-08-07&tree=all
(Reporter)

Comment 13

2 years ago
16:55:05     INFO -  150 INFO TEST-UNEXPECTED-FAIL | devtools/client/netmonitor/test/browser_net_persistent_logs.js | A promise chain failed to handle a rejection:  - at chrome://mochitests/content/browser/devtools/client/netmonitor/test/browser_net_persistent_logs.js:41 - Error: operation not possible on dead CPOW
16:55:05     INFO -  Stack trace:
16:55:05     INFO -  test/<@chrome://mochitests/content/browser/devtools/client/netmonitor/test/browser_net_persistent_logs.js:41:5
16:55:05     INFO -  Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:937:23
16:55:05     INFO -  this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:816:7
16:55:05     INFO -  Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:747:11
16:55:05     INFO -  this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:779:7
16:55:05     INFO -  this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:714:7
16:55:05     INFO -  testScope/test_executeSoon/<.run@chrome://mochikit/content/browser-test.js:993:9

Comment 14

2 years ago
23 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* autoland: 9
* fx-team: 4

Platform breakdown:
* linux64: 22
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-08-08&endday=2016-08-14&tree=all

Comment 15

2 years ago
30 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 15
* mozilla-inbound: 11
* mozilla-aurora: 2
* fx-team: 1
* ash: 1

Platform breakdown:
* linux64: 30

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-08-15&endday=2016-08-21&tree=all

Comment 16

2 years ago
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 17
* autoland: 11
* mozilla-aurora: 3
* fx-team: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 32
* windows7-32-vm: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-08-22&endday=2016-08-28&tree=all
Fixed by bug 1297362, which eliminated all CPOWs from Netmonitor tests.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Depends on: 1297362
Resolution: --- → FIXED

Comment 18

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-aurora: 4
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* linux64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1267352&startday=2016-08-29&endday=2016-09-04&tree=all
(Reporter)

Updated

2 years ago
status-firefox48: affected → wontfix
status-firefox49: --- → wontfix
status-firefox50: --- → wontfix
status-firefox51: --- → fixed
You need to log in before you can comment on or make changes to this bug.